Subject: GA-DIGEST V1 #1575
From: [email-masked] (GA-DIGEST)
To: [email-masked]

GA-DIGEST         Wednesday, February 5 2003         Volume 01 : Number 1575

----------------------------------------------------------------------

Date: Tue, 04 Feb 2003 12:07:08 +0100
From: "J-F C. (Jefsey)  Morfin" <[email-masked]>
Subject: Re: [ga] Let build on Richard Lindsay's reply

On 03:03 04/02/03, Richard Lindsay said:
>Jefsey,
>Before I start, does the J-F stand for Jean-Franc
>or something, or is this more like R2D2... :-)
>Actually in the US someplace they refer to Jesus
>Christ as JC, so I kept wondering what one of our
>deities middle name was :-  and how he found time
>to read the GA mailing list!

:-) No deity. I started in 1977 dealing with international
data network and I said  in business meeting in London
that I was better off building it if I wanted to use it .
People teased me about that. I had had to sign in
to enter the offices and when the secretary asked my
name I preferred to write it "J-F C. Morfin" (standing for
Jean-François Charles). The secretary read at it and
said "ho! Jefsey Morfin" making everyone to laugh. So
they teased me about "Jefsey's dream" and "Jefseynet".

So I kpet that strange nickname. What is great is that
only "the Jefsey niggar", as part of a South estate XVIIIth
century legacy, seems to be recorded in history. Having
an unique name is very useful when registering on-line :-)

>>I would be interested in digging a little bit more in
>>your kind response. I do think that kind of exchange
>>might really help.
>
>You know I do agree here.  And I will admit that
>the reason I don't read the GA list any more (or
>most of the "lists" now - hey whatever happened to
>the ORSC (or something) list?) is because I chose
>not to do so, since I made a prioritization of my
>email folders...  Come on, I get 1500 emails a day,
>you don't expect me to read ALL of them do you? :)

Same. But when you peruse the GA you quickly
find a pattern through the authors. I know I will be
flamed, but I tend to rely on Jeff Williams. When he
sends many mails, usually one is on very interesting
topic and others build his deliberate protection smoke
he uses to get information.

>But I made it a point to try to do my Internet Citizenship
>duties better this year, so I finally started reading
>again.  Of course at this point there is no more
>GA right?  Is that one of the problems - it didn't
>occur to me since I wasn't reading my ga email...
>But I do have a very busy job, so don't expect me
>to answer every mail.

This may be the best for the GA and for ICANN. We
need a public place. Not being a GA anymore may help
as there is no more decorum/votes so less reasons
for fight. Unless there is a real pollution by a few trolls
self netetiquette may help. People in here know each
others, they know the positions. So it may become
an interesting club, with no agenda but to help
improving the common good. A lo twill depend on the
next ICANN President.

>>>I am also possibly in your view part of the problem
>>>with ICANN, where I see myself as part of the solution
>>>you mention.
>>I would be interested in this. I suppose this is because
>>you are a service provider - while others are first product
>>providers.
>
>No, I was thinking more along the lines of the bigger
>ICANN problem of "entrenched bad guys" and "left in the
>cold guys".  This is a very sarcastic way to look at
>this, but hey, I have already been caught doing that, so
>get over it :)
>
>Meaning, I see myself as an active part of ICANN, who
>is associated with (for reasons that just absolutely
>defy me many of you think Afilias is a bad thing!)
>the "evildoing Dr. Afilias."  But I am a newcomer at
>this, so I am very sorry but I have no idea about
>power struggles in 1984!  I was a sophomore at Tufts
>University then (I was a Navy ROTC guy, can you believe
>that!)  So I don't have any baggage!  Its not that I
>am leaving my baggage at the door, I don't have any.
>(I don't even like Louis Vitton)

Good! believe it or not I was a Navy Lt-Cdr Jr.!

In early 84 (from the e-mail records and souvenirs of
a few I try to gather) the three leading technologies
actually met. By end of 1983 Tymnet by then de facto
monopoly on the public international monopolies
committed to support TCP/IP over its own protocol
and machines. Since Tymnet was providing the
support of all the X.25/75 international services but
one/two shared with Telenet and Northern Telecom,
and I was starting deploying X.121 instead/in addition
to the naming plan, this was an unique time were
the three technologies talked together (nothing fancy
but technically a a real development node). No one
at the time (and still now) realized it was of real
interest :-) but the impact was huge.

At the same time Internet people were also talking to
CSNET and other nets to build the internetting we
know. These networks were already our customers
(I was with Tymnet International). This resulted in
the RFC 920 which takes into account and all what
was obvious  to every of us at the time (pasting "com"
and "net" from parameter files to parameter files, naming
"pirate" the telex operators piping international traffic
through public packet switch lower rate services -
and therefore the obvious use of two Telex letters
codes for local communities; latter on IP clusters
to link distant TCP/IP islands through X.75/25 -
and in most of the case over T II Tymnet protocol).
As you know ICP-3 roots ICANN legitimacy in that
consensual 1984 agreement as described by this
RFC (and its practical implementation RFC 921).

But, from I gather in asking around, this did not
went very far. Too soon IMHO. The traffic, the
mentalities, the organizations (IETF dates from
late 86). I opened a mailbox on ITT Telex e-mail
gateway to support "ccTLD" users. We mostly
provided support to State Department users
travelling around and using CSI. There was one
guy in Miami, we never understand what he wanted
to do (except coming at business meetings in
baskets): actually he wanted to build Verisign :-)

Today, we have the opportunity to gather these
concepts again due to the load on the network,
the need for security and the experience in traveling
objects (XML, SOAP) as well as data. Also, we
have the chance of revisiting the network concept
as a standalone middleware. When you read
yesterday NSF's announcement, when you consider
the IETF work on OPES, when you try to find
reasonable solutions to IDNs, you see that the
thinking is moving far further than OSI, and it really
goes back to Tymnet.

The problem is that Tymnet is both long forgotten
and that when I refer to Tymnet I refer to my own
experience of Tymnet International and what I turned
into Tymnet Extended Services (85/86). And we may
be only one or two remebering we made money out
of it, and how, before OSI took over.

We were operating the world's public system: so
it was pretty obvious to us and to the public
monopolies (PTTs) that what we provided to the
users where end to end services support (relations)
rather than communications, where today internet
is still only providing virtual connections. I will
give you two examples to understand :

- - when a Tymnet sales, when an Internet
   administrator in the USA or any PTT in the world
   connected a computer, to all the users of what
   was the "Intlnet" by Tymnet International and
   its local monopoly accesses in France, UK, Taiwan,
   Japan etc. he was enhancing the global service.
   Tymnet had a brilliant technology, Tymnet people
   sold. In the USA. I had not it.

   I had only a Tymnet Service interlinking countries,
   with a local access technology (from async 2400
   to 64.000 Bps X.25 or 56.000 2780). So what
   users saw was not the Tymnet Engines, but the
   possibilities offered by the Tymnet concepts
   and the Tymnet International system's partners
   realating people round the world, throught the
   US International Recods Carriers under FCC
   approved agreements and according to the ITU
   rules.

   All the public operators and large private nets
   under our technolgy were gathered in the ISIS Club
   where they concerted development, agreements,
   common rules. And it worked very very well. This is
   what I wish to ICANN. And Tymnet Interntaional was
   member of the CCITT (UIT-T) State Department
   delegation, and it worked very well. And our R&D
   shared in Group VII (OSI standardization, with
   people from BBN/GTE's Telenet, French Inria etc.)
   and it worked very well (we supported 40 different
   X.25/75 flavors). IMHO there is a real experience
   for ICANN and ITU (some have udnerstood that
   for a long)

- - we had an interesting super "OPES", named CARL..
   (OPES is an IETF concept standing for Open
   Pluggable Edge Services: systems which may change
   the data in the network flow).

   Travel Agents could use that public service,
   worldwide, to access Air Line Reservation systems.
   They used the common air line language we had
   specified with the US Travel Agency Association;
   but on the other end each airline received the data
   in their own specific language. Then we started
   supporting additional timesharing services providing
   air reservation related services, relations with
   car, hotel reservation etc. This meant that one
   travel agent in Stockholm was able to call Televerket
   (local public communication service), subscribe a
   Tymnet node access there, emulate through Async
   2400 bps a Sync 3270 reservation terminal and
   to dialog in minutes with tens of air lines in their
   own language.

This was secure, stable, innovative. Today if you
read ICP-3, you will see that this is what ICANN is
desperately calling for. Testing and experiment
in proceeding further. But in a reversible, non-profit,
not DNS endangering way. To know how it may work.

This is why - exactly as we proposed to test in
1984 - I am pushing the dot-root project to address
ICP-3 call. Because IETF cannot carry the test alone.
Every days experience here shows the reality of the
"mission creep". Any real testing must include too the
simulation of the societal (economics, commercial,
social, cultural, human, community ...) and of the
political aspects (governance, law, states, international
affairs, "netocracy" etc.). No need to have a perfect
technical solution if it is opposed by the users or
the govs like Dick Clarke's proposition and the
resulting US e-colonization threat will if not adapted.

>I view myself, just like any other guy with drive and
>ability, who was interested in ICANN for a couple reasons.
>One was for business since I am a businessman.  Probably
>even more importantly, I love the Internet and want to help
>in any way I can.  Now I see lots of people complaining
>about why they can't participate, when they are actually
>participating.   How many of the members of the GA have
>sent a mail complaining about something?  (tap your keyboards
>if you are guilty)  And usually they are complaining about
>"not being able to participate" but in actuality THEY ARE
>PARTICIPATING!

They are but they are not considered as such.

The key word in netocracy is "we". As long as there are
"I" and "They" there is problem. Even if it is not true, you
must lead the people thinking "we" (this is a simple part
of my "network extended model": we live in a "me/we"
model (mine/me/we/others/strangers/intruders/invaders).

I disagree a lot with Mike Roberts, but I will always
support one of his words "We ICANN". As long as
it is Joe, their, the AmerICANN and not WeICANN it
will have a netocracy problem.

Some people tend to confuse netocracy and
notocracy :-)   It just does not work.

>I think ICANN has done a pretty good job so far, and
>yes they are not perfect.  If you aren't happy with the
>way things are working, then please HELP.

I try. But the problem is that they do not really help.
They need fresh (or old) blood and they confuse
consensus building and establishment. The way they
chose people (because they lack money) favors
people with money, ie paid by corporations. These
corporations are naturally looking for stability and
their employees to keep their job. So it is very
complex to make people understand what is risky
and what improves stability. My way is to say: let
show it. That matches what ICP-3 says: let test it.
This is dot-root. The problem is that dot-root may
cost $50.000, ie $500.000 in real life. I had a
project to self finance it (because no one would
be ready to invest in a test at so low a cost and
convincing people of the interest of a new thing
costs far more than doing it). I half financed it, but
I am stuck trying to find the other half.

>  Jefsey, I
>think your analogy of the mob is a very very good
>one.  But hey, you don't have to be a mob, you can
>be an individual with an opinion, a readiness to work
>and NOT JUST TALK!, and an ability to work with other
>people from very very different backgrounds.  There is
>no big secret here, it is not even rocket science!

You are right!!!!

But a) you need it to get a consensus.
b) many people do not know anything else to
help c) talking is part of the resolution of many
"mission creep" things (think about your nights
on the phone: when you have no phone, you have
the mail to try to help). d) you need allies and some
money f) the mob can be very useful if you can
lead it on good common grounds.

>>and that may be ICANN process could learn somthing form
>>it if you explained us. I am fascinated by the idea that the
>>Directors do not know more than outsiders (this is probably
>>something which would interest Karl) and that you concert.
>>If this is done positively, there is certainly an interesting
>>recepee.
>
>For the afilias model, lets start a separate thread on that,
>if you chose.
>
>But is the Karl you mention Karl Aurbach?  You know I will
>way something that is a little insensitive, but neither
>party could be called sensitive (to email at least) so I
>doubt they will mind...  You mentioned Joe Sims earlier,
>and I get the idea you don't like Joe Sims?  Hey, join
>the club, I don't particularly like Joe Simms either, but
>I put up with him because he is PART of the process.  You
>know what else, I don't particularly like Karl Aurbach
>that much either.
>
>Do you want to know why?
>
>I had dinner with Karl back in Singapore in 1998 (I think) but
>I doubt he remembers (it was with Zita and Theresa and Randy
>Bush.)  The reason I doubt he remembers, is because I made
>such a MINUSCULE impression on him.  Hey, I am not that
>boring Karl!  I think Karl was so much more interested in
>himself, than with anyone else at the table.  And do you know
>what, I think Karl and Joe Simms are very similar.

What you say after is very true and very true here.
I dislike Joe Sims' action because I think he is doing
"my" network, my country and the people a very bad turn
in building a "contractnet" instead of an "opennet".

But I do understand why and I do respect him a lot for
that (IMHO he should be promoted NTIA General or
something because he did well for the USA - I
understand there is a Senator wanting him to be tried
for Crimes against Humanity [I think he is right], so
it would protect him). My reading is that Joe Sims has
built ICANN as the AmerICANN State Agency in
order to enforce the 30 USC 247 (f)(1) legal definition
of the internet placing all the computers of the world
interoperating via packet switch under the jurisdiction
of the Congress of the United States of America.

Karl in another way is certainly alike. He fights for
another vision of the same network. He has the legal
skills to fight Joe and the technical skills Joe misses.
Yet both misses the network operation experience
and skills of Jon Postel, ICANN dearly misses.

>But if there is one thing I LIKE about ICANN, it is because
>pretty much all of us are good at what we do.  How else would
>we have so much time to read this much email!

We love it. But the problem is there is a cultural gap
in the internet world that OSI trimmed and Tymnet
had not. The internet is a service to the users. And
actually what we love is to enjoy our understanding of
the system to try to help others. Hey they are 6 billions
people out there to serve, help and in someway love.

This is not so bad a challenge, hobby, job!

>Now we do a whole
>lot of different things, in different places and cultures, but
>we are good at whatever it is we do.  Hey even that Jeff William's
>character is good at what he does no?  I mean he has been doing
>it for YEARS, and he just keeps on going!  Dude, you ARE the
>Eveready Bunny!
>
>So hey, lets have some fun and make this thing work!

You should help me with dot-root! This is the whole idea, being serious and 
open and competent enough so ICANN can sponsor, not control, just take 
advantage from it!

All the best.
jfc 

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Tue, 4 Feb 2003 10:38:50 -0800 (PST)
From: George Kirikos <[email-masked]>
Subject: [ga] whois.txt, ala robots.txt, as a standard ?

Hello,

I was reading through the latest WHOIS task force updates, at:

http://does-not-exist.net/final-report/final-report-feb03-030201v0.html

and a thought came to mind. Just as there is a "robots.txt" standard
for webcrawlers like Google, how about having a whois.txt standard that
folks can optionally use on their websites?

For those who don't want to put in anything beyond the standard WHOIS
output (i.e. for privacy, or to avoid spam), they can leave a blank
whois.txt on their website or omit it entirely. For those who want
"enhanced" contact details, and want to be easily found, they can
supplement what's already in the standard WHOIS.

For instance, they can provide additional contacts, WHOIS in different
languages, contact info for various countries, etc. This can also
assist in the goal of WHOIS accuracy -- in case the registrant is
unable to be reached from their existing WHOIS info, the registrar can
try the info in their (by default) http://www.example.com/whois.txt

Perhaps someone clever can even think of an XML format or something for
this enhanced WHOIS, to allow standard tools (like other WHOIS servers,
such as www.betterwhois.com or www.uwhois.com, etc.) to parse it. Folks
like Alexa, for example, who already supply contact details at:

http://www.alexa.com/data/details?url=icann.org

(type a different URL, to see if that domain's contact info is correct)
can crawl the web to get the contacts automatically, instead of mining
the WHOIS, optionally for those who want to be found easily.

Sincerely,

George Kirikos
http://www.kirikos.com/
- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Wed, 5 Feb 2003 08:28:01 +1300 
From: Steven Heath <[email-masked]>
Subject: RE: [ga] whois.txt, ala robots.txt, as a standard ?

> and a thought came to mind. Just as there is a "robots.txt" standard
> for webcrawlers like Google, how about having a whois.txt standard that
> folks can optionally use on their websites?

Interesting yet flawed idea. 

We all know on this list (as we can hardly call it an assembly now can we)
that the domain names are more than HTTP related.

Domain names and all resulting detail that are called 'whois data' MUST be
application or protocol neutral.

The interesting thing about whois is that in New Zealand I can get full
details on any company that is incorporated under NZ law. For instance just
to pick on Joop and DPF (as they are both directors of NZ companies) I can
get their:

	full names (including middle name) 
	personal address
	company address 
	electronic copy of their signature 

all for this and more for FREE and under 1 minute (1 search screen and then
two clicks)

This is by going to a NZ government run website. Oh, and I do not have to
reveal anything about myself to get this data. 

Lets define what we are trying to achieve with whois data, then decide how
to implement it.

Steven Heath
www.nznews.org.nz
- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Tue, 4 Feb 2003 11:57:03 -0800 (PST)
From: George Kirikos <[email-masked]>
Subject: RE: [ga] whois.txt, ala robots.txt, as a standard ?

Hi Steven,

- --- Steven Heath <[email-masked]> wrote:
> > and a thought came to mind. Just as there is a "robots.txt"
> standard
> > for webcrawlers like Google, how about having a whois.txt standard
> that
> > folks can optionally use on their websites?
> 
> Interesting yet flawed idea. 

I'm glad you found it interesting. :) Just to be clear, I didn't want
it to be a *replacement* of the existing WHOIS -- just perhaps an
add-on, to those who want to provide more details that can't fit in
existing WHOIS, etc. i.e. an enhanced contact system....
 
> We all know on this list (as we can hardly call it an assembly now
> can we)
> that the domain names are more than HTTP related.

Definitely. Perhaps there are other protocols, besides HTTP that could
accomplish this instead.

> Domain names and all resulting detail that are called 'whois data'
> MUST be
> application or protocol neutral.

Definitely, the basis required WHOIS would remain....just thinking that
an enhancement might be of use by folks, e.g. for multiple languages,
more contacts than just the basic ones, etc. Perhaps simply an extra
field, which would allow a link to extra details (be it a http link,
gopher link, or who knows what other protocols folks can think up.....)
 
> The interesting thing about whois is that in New Zealand I can get
> full
> details on any company that is incorporated under NZ law. For

Nice! :) You're ahead of us in Ontario, Canada, I believe.

> Lets define what we are trying to achieve with whois data, then
> decide how
> to implement it.

Yep, just tossed it out for discussion. What kinds of data would folks,
as users, as registrants, etc. would they like to know about owners of
a website, besides the "basics" specified by ICANN or the ccTLDs?

1. Other languages?
2. Local offices?
3. Legal contacts?
4. Maps? (funky MapQuest links!)
5. Associated companies?
6. GPS data? (kind of like http://www.geourl.org/ which uses tags)
7. Banking/payment data, e.g. where to wire $$$$
8. Corporation numbers?
9. DUNS numbers?
10. Telex? (does anyone use this anymore?)
11. CUSIP number?
12. Stock symbol?
13. Logo?
14. Birthday? :) (for personal websites, remember, these are all
optional attributes!)

I think VGRS is committed to spending $200 million on enhanced WHOIS --
would be nice to see where that money has gone! :)

So, what else would folks like to see, OPTIONALLY, about owners of a
domain, besides the basics, in an ad-hoc standard ala robots.txt? Kind
of like a "V-card" for a domain. :) Maybe something like UDDI
(www.uddi.org)?

Perhaps all the above has already been done by some other
standard....just needs better promotion? (i.e. domain WHOIS is well
publicized and understood, whereas no one knows about the
alternatives...)

Sincerely,

George Kirikos
http://www.kirikos.com/
- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Tue, 4 Feb 2003 12:07:43 -0800 (PST)
From: Rick Wesson <[email-masked]>
Subject: RE: [ga] whois.txt, ala robots.txt, as a standard ?

George,

for those that are interested in the development of a replacement or
protocols to augment the data provided by whois, please consider
participating in the IETF CRISP [1] working group.

- -rick

[1] http://www.ietf.org/html.charters/crisp-charter.html

On Tue, 4 Feb 2003, George Kirikos wrote:

> Hi Steven,
>
> --- Steven Heath <[email-masked]> wrote:
> > > and a thought came to mind. Just as there is a "robots.txt"
> > standard
> > > for webcrawlers like Google, how about having a whois.txt standard
> > that
> > > folks can optionally use on their websites?
> >
> > Interesting yet flawed idea.
>
> I'm glad you found it interesting. :) Just to be clear, I didn't want
> it to be a *replacement* of the existing WHOIS -- just perhaps an
> add-on, to those who want to provide more details that can't fit in
> existing WHOIS, etc. i.e. an enhanced contact system....
>
> > We all know on this list (as we can hardly call it an assembly now
> > can we)
> > that the domain names are more than HTTP related.
>
> Definitely. Perhaps there are other protocols, besides HTTP that could
> accomplish this instead.
>
>
> > Domain names and all resulting detail that are called 'whois data'
> > MUST be
> > application or protocol neutral.
>
> Definitely, the basis required WHOIS would remain....just thinking that
> an enhancement might be of use by folks, e.g. for multiple languages,
> more contacts than just the basic ones, etc. Perhaps simply an extra
> field, which would allow a link to extra details (be it a http link,
> gopher link, or who knows what other protocols folks can think up.....)
>
> > The interesting thing about whois is that in New Zealand I can get
> > full
> > details on any company that is incorporated under NZ law. For
>
> Nice! :) You're ahead of us in Ontario, Canada, I believe.
>
> > Lets define what we are trying to achieve with whois data, then
> > decide how
> > to implement it.
>
> Yep, just tossed it out for discussion. What kinds of data would folks,
> as users, as registrants, etc. would they like to know about owners of
> a website, besides the "basics" specified by ICANN or the ccTLDs?
>
> 1. Other languages?
> 2. Local offices?
> 3. Legal contacts?
> 4. Maps? (funky MapQuest links!)
> 5. Associated companies?
> 6. GPS data? (kind of like http://www.geourl.org/ which uses tags)
> 7. Banking/payment data, e.g. where to wire $$$$
> 8. Corporation numbers?
> 9. DUNS numbers?
> 10. Telex? (does anyone use this anymore?)
> 11. CUSIP number?
> 12. Stock symbol?
> 13. Logo?
> 14. Birthday? :) (for personal websites, remember, these are all
> optional attributes!)
>
> I think VGRS is committed to spending $200 million on enhanced WHOIS --
> would be nice to see where that money has gone! :)
>
> So, what else would folks like to see, OPTIONALLY, about owners of a
> domain, besides the basics, in an ad-hoc standard ala robots.txt? Kind
> of like a "V-card" for a domain. :) Maybe something like UDDI
> (www.uddi.org)?
>
> Perhaps all the above has already been done by some other
> standard....just needs better promotion? (i.e. domain WHOIS is well
> publicized and understood, whereas no one knows about the
> alternatives...)
>
> Sincerely,
>
> George Kirikos
> http://www.kirikos.com/
> --
> This message was passed to you via the [email-masked] list.
> Send mail to [email-masked] to unsubscribe
> ("unsubscribe ga" in the body of the message).
> Archives at http://www.dnso.org/archives.html
>

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Tue, 4 Feb 2003 12:54:42 -0800 (PST)
From: Karl Auerbach <[email-masked]>
Subject: Re: [ga] whois.txt, ala robots.txt, as a standard ?

There is a rough convention about putting a zone's contact information
into the zone records itself.  This convention is not much used and the
formats are not universally applied, and credit for the idea has been
attributed to several different people.

For example, in my cavebear.com zone, I have a set of TXT records that may 
be retrieved by doing a TXT record query to "whois.cavebear.com".

The result you will get is

;; ANSWER SECTION:
whois.cavebear.com.	172800	IN	TXT	"fax-number: +1.831.423.8357"
whois.cavebear.com.	172800	IN	TXT	"phone-number: +1.831.423.8585"
whois.cavebear.com.	172800	IN	TXT	"address-1: 218 Carbonera Drive"
whois.cavebear.com.	172800	IN	TXT	"address-2: Santa Cruz, CA 95060-1500"
whois.cavebear.com.	172800	IN	TXT	"other-stuff: This site is operated by Karl Auerbach"
whois.cavebear.com.	172800	IN	TXT	"address-3: USA"
whois.cavebear.com.	172800	IN	TXT	"company-name: CaveBear"

Some folks have adopted a more XML-like representation in the TXT records.

The amount of text per name is limited, but with enough names and TXT 
records even large documents can be expressed.  For those who want to give 
it a whirl, run the following query and see what you get (expect about 
525 lines of output).

	dig @npax.cavebear.com mc.cavebear.com axfr

The mechanism of putting the information into the zone itself lets the
zone owner control exactly what is, or is not, published.

The point of all of this is that there is no need of a public "whois" at
all.  Sure, the registration businesses can keep their internal business
records about who signed up for what and when they need to be rebilled to
prevent the domain name remover from removing their domain names.  But
those records need not be made available to the public, to those who mine
data, or those who make claims they have special privleges to look.  And
Trademark people can be, as they ought to be, required to demonstrate to a
neutral magistrate that there is enough evidence of harm to the trademark
owner's interests for them to have a peek at the registration data.

		--karl--

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Tue, 4 Feb 2003 16:36:05 -0500 (EST)
From: Joe Baptista <[email-masked]>
Subject: Re: [ga] whois.txt, ala robots.txt, as a standard ?

Putting zone contact information into the zone itself works wonderfully
and karl is right on to use it.

Some tlds in the inclusive namespace /alt roots system use the following
format to provide information on the tld.

god.   86400   IN TXT     "<tldtag field='org' value='The dot.GOD Registry, Limited'>"
god.   86400   IN TXT     "<tldtag field='poc' value='Joe Baptista, Managing Director'>"
god.   86400   IN TXT     "<tldtag field='url' value='http://www.dot-god.com'>"
god.   86400   IN TXT     "<tldtag field='whois' value='whois.dot-god.com'>"
god.   86400   IN TXT     "<tldtag field='email' value=[email-masked]'>"
god.   86400   IN TXT     "<tldtag field='tel' value='+1 (705) 872-1310'>"
god.   86400   IN TXT     "<tldtag field='fax' value='+1 (775) 257-9422'>"
god.   86400   IN TXT     "Copyright (c) 1996, 1997, 1998, 1999, 2000, 2001, 2002 Peterborough Mission of GOD"

One super thing about dns txt information is that it's a great way to use
the dns to build lists and decentralize the database - like the dns i
guess.

we use it to build lists of whois servers for inclusive namespace domains.

regards
joe baptista

Joe Baptista - only at www.baptista.god

                               Dot CAM Domains http://www.dot.cam/
 All about domains in .cAm.
                               an Inclusive NameSpace Provider

On Tue, 4 Feb 2003, Karl Auerbach wrote:

>
> There is a rough convention about putting a zone's contact information
> into the zone records itself.  This convention is not much used and the
> formats are not universally applied, and credit for the idea has been
> attributed to several different people.
>
> For example, in my cavebear.com zone, I have a set of TXT records that may
> be retrieved by doing a TXT record query to "whois.cavebear.com".
>
> The result you will get is
>
> ;; ANSWER SECTION:
> whois.cavebear.com.	172800	IN	TXT	"fax-number: +1.831.423.8357"
> whois.cavebear.com.	172800	IN	TXT	"phone-number: +1.831.423.8585"
> whois.cavebear.com.	172800	IN	TXT	"address-1: 218 Carbonera Drive"
> whois.cavebear.com.	172800	IN	TXT	"address-2: Santa Cruz, CA 95060-1500"
> whois.cavebear.com.	172800	IN	TXT	"other-stuff: This site is operated by Karl Auerbach"
> whois.cavebear.com.	172800	IN	TXT	"address-3: USA"
> whois.cavebear.com.	172800	IN	TXT	"company-name: CaveBear"
>
> Some folks have adopted a more XML-like representation in the TXT records.
>
> The amount of text per name is limited, but with enough names and TXT
> records even large documents can be expressed.  For those who want to give
> it a whirl, run the following query and see what you get (expect about
> 525 lines of output).
>
> 	dig @npax.cavebear.com mc.cavebear.com axfr
>
> The mechanism of putting the information into the zone itself lets the
> zone owner control exactly what is, or is not, published.
>
> The point of all of this is that there is no need of a public "whois" at
> all.  Sure, the registration businesses can keep their internal business
> records about who signed up for what and when they need to be rebilled to
> prevent the domain name remover from removing their domain names.  But
> those records need not be made available to the public, to those who mine
> data, or those who make claims they have special privleges to look.  And
> Trademark people can be, as they ought to be, required to demonstrate to a
> neutral magistrate that there is enough evidence of harm to the trademark
> owner's interests for them to have a peek at the registration data.
>
> 		--karl--
>
>
>
>
> --
> This message was passed to you via the [email-masked] list.
> Send mail to [email-masked] to unsubscribe
> ("unsubscribe ga" in the body of the message).
> Archives at http://www.dnso.org/archives.html
>

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Tue, 04 Feb 2003 16:50:07 -0500
From: "L. Gallegos" <[email-masked]>
Subject: RE: [ga] whois.txt, ala robots.txt, as a standard ?

Good heavens, George.  Who in their right mind would want to publish GPS 
data, offices, banking data, or most of the other things you suggest for 
the world to mine?  In this day and age when security is a real issue and 
spam is the scourge of the internet, I would think that most people would 
refuse to provide this data for any world wide listing on the net.  Of 
course, attorneys and IP interests would love it as it would certainly 
save them money in harrassing people to death.  Spam professionals and 
even telemarketers would love it, too.  No thanks.

Leah

On 4 Feb 2003 at 11:57, George Kirikos wrote:

> 
> 1. Other languages?
> 2. Local offices?
> 3. Legal contacts?
> 4. Maps? (funky MapQuest links!)
> 5. Associated companies?
> 6. GPS data? (kind of like http://www.geourl.org/ which uses tags)
> 7. Banking/payment data, e.g. where to wire $$$$
> 8. Corporation numbers?
> 9. DUNS numbers?
> 10. Telex? (does anyone use this anymore?)
> 11. CUSIP number?
> 12. Stock symbol?
> 13. Logo?
> 14. Birthday? :) (for personal websites, remember, these are all
> optional attributes!)
> 

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Tue, 04 Feb 2003 18:05:18 -0800
From: Jeff Williams <[email-masked]>
Subject: Re: [ga] whois.txt, ala robots.txt, as a standard ?

George and all former DNSO GA members or other interested parties,

  Indeed this is an odd suggestion in this report as you rightly point out
George.  Many other parts of this report seem to be at odds with
the public comments submitted as well.  I for one cannot figure
out where in hell such a report could have come out of the
already known and documented comments/suggestions and
presentations submitted.

George Kirikos wrote:

> Hello,
>
> I was reading through the latest WHOIS task force updates, at:
>
> http://does-not-exist.net/final-report/final-report-feb03-030201v0.html
>
> and a thought came to mind. Just as there is a "robots.txt" standard
> for webcrawlers like Google, how about having a whois.txt standard that
> folks can optionally use on their websites?
>
> For those who don't want to put in anything beyond the standard WHOIS
> output (i.e. for privacy, or to avoid spam), they can leave a blank
> whois.txt on their website or omit it entirely. For those who want
> "enhanced" contact details, and want to be easily found, they can
> supplement what's already in the standard WHOIS.
>
> For instance, they can provide additional contacts, WHOIS in different
> languages, contact info for various countries, etc. This can also
> assist in the goal of WHOIS accuracy -- in case the registrant is
> unable to be reached from their existing WHOIS info, the registrar can
> try the info in their (by default) http://www.example.com/whois.txt
>
> Perhaps someone clever can even think of an XML format or something for
> this enhanced WHOIS, to allow standard tools (like other WHOIS servers,
> such as www.betterwhois.com or www.uwhois.com, etc.) to parse it. Folks
> like Alexa, for example, who already supply contact details at:
>
> http://www.alexa.com/data/details?url=icann.org
>
> (type a different URL, to see if that domain's contact info is correct)
> can crawl the web to get the contacts automatically, instead of mining
> the WHOIS, optionally for those who want to be found easily.
>
> Sincerely,
>
> George Kirikos
> http://www.kirikos.com/
> --
> This message was passed to you via the [email-masked] list.
> Send mail to [email-masked] to unsubscribe
> ("unsubscribe ga" in the body of the message).
> Archives at http://www.dnso.org/archives.html

Regards,

- --
Jeffrey A. Williams
Spokesman for INEGroup LLA. - (Over 129k members/stakeholders strong!)
================================================================
CEO/DIR. Internet Network Eng. SR. Eng. Network data security
Information Network Eng. Group. INEG. INC.
E-Mail [email-masked]
Contact Number: 214-244-4827 or 214-244-3801

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

End of GA-DIGEST V1 #1575
*************************